:root {
  --bg: #e5e5e5;
  --text: #111111;
  --nav-bg: #ffffff;
  --overlay: rgba(0,0,0,0.4);

  --accent-green: #22c55e;
  --accent-blue: #3b82f6;
  --accent-orange: #f97316;
  --accent-purple: #a855f7;

  --accent-color: #3b82f6;
}

@media (prefers-color-scheme: dark) {
  :root {
    --bg: #0b0b0f;
    --text: #ffffff;
    --nav-bg: #11131a;
    --overlay: rgba(0,0,0,0.6);
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

body {
  background: var(--bg);
  color: var(--text);
  overflow-x: hidden;
}

/* HEADER */

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 60px;
  display: flex;
  align-items: center;
  z-index: 1000;
}

/* NAV */

.nav {
  position: fixed;
  top: 0;
  margin-top: 10px;
  right: 40px;
  height: 60px;

  display: flex;
  align-items: center;
  justify-content: flex-end;

  gap: 40px;
}

.nav a {
  text-align: center;
  padding: 10px 18px;
  border: 2px solid var(--text);
  border-radius: 999px;
  font-size: 14px;
  text-decoration: none;
  color: var(--text);
}

.nav a:hover {
  background: var(--accent-color);
  color: black;
  transition: 0.2s;
}

.header.scrolled {
  backdrop-filter: blur(10px);
  background: var(--nav-bg);
}

.nav.scrolled {
  margin-top: 0;
  height: 50px;
  gap: 20px;
  transition: all 0.25s ease;
}

.nav a.scrolled,
#account-btn.scrolled {
  padding: 6px 14px;
  font-size: 12px;
}

.header,
.nav,
.nav a,
#account-btn {
  transition: all 0.25s ease;
}

/* ACCOUNT */

.account {
  position: relative;
}

#account-btn {
  padding: 10px 18px;
  border: 2px solid var(--text);
  border-radius: 999px;
  cursor: pointer;
  min-width: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dropdown {
  position: absolute;
  top: 50px;
  right: 0;

  background: var(--nav-bg);
  border-radius: 12px;
  padding: 10px;

  display: flex;
  flex-direction: column;
  gap: 8px;

  min-width: 160px;

  opacity: 0;
  transform: translateY(-10px);
  pointer-events: none;
  transition: all 0.2s ease;
}

.dropdown.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.hidden {
  opacity: 0;
  transform: translateY(-10px);
  pointer-events: none;
}

.dropdown button {
  background: none;
  border: none;
  color: var(--text);
  text-align: left;
  cursor: pointer;
  padding: 8px 10px;
  border-radius: 8px;
  transition: background 0.15s;
}

.dropdown button:hover {
  background: rgba(255,255,255,0.1);
}

.dropdown button:hover {
  background: rgba(255,255,255,0.1);
}

/* MAIN CONTENT */

.hero{
  position: relative;
  overflow: hidden;
}

.main-content {
  min-height: 100vh;
  padding: 80px 20px;
  max-width: 700px;
  position: relative;
  z-index: 1;
}

.the {
  font-size: 44px;
  opacity: 0.75;
  margin-top: 20%;
}

h1 {
  font-size: 88px;
}

h2 {
  margin-top: 20px;
  font-size: 20px;
  font-weight: normal;
}

p {
  margin-top: 6px;
}

/* BAND */

.band {
  margin-top: 10px;
  width: 100%;
  background-color: var(--accent-blue);
  padding: 20px 20px;
}

.container {
  max-width: 900px;
  padding-left: 20px;
}

.band-text {
  font-size: 22px;
  line-height: 1.6;
  opacity: 0.95;
  margin-bottom: 16px;
  text-align: left;
}

/* SHAPES */

.shape {
  position: absolute;
  z-index: 0;
}

.shape1 {
  width: 200px;
  height: 200px;
  background: var(--accent-green);
  border-radius: 50%;
  bottom: 80px;
  left: 40px;
}

.shape2{
  width: 420px;
  height: 120px;
  background: linear-gradient(90deg, var(--accent-purple), var(--accent-blue), var(--accent-orange));
  border-radius: 100px;
  transform: rotate(30deg);
  top: 600px;
  right: 500px;
}

.shape3 {
  width: 320px;
  height: 100px;
  background: linear-gradient(90deg, var(--accent-green), var(--accent-blue), var(--accent-orange));
  border-radius: 100px;
  transform: rotate(-25deg);
  top: 120px;
  right: -100px;
}

/* ERROR */

.error {
  margin-top: 12px;
  margin-bottom: 24px;
  padding: 10px;

  border-radius: 10px;
  background: rgba(255, 0, 0, 0.1);
  color: #ff6b6b;

  font-size: 18px;
  /* display: none; */
}

.message {
  margin-top: 12px;
  margin-bottom: 24px;
  padding: 10px;

  border-radius: 10px;

  font-size: 18px;
  display: none;
}

.message.show {
  display: flex;
  align-items: center;
  justify-content: center;
}

.message.error {
  background: rgba(255, 0, 0, 0.1);
  color: #ff6b6b;
}

.message.success {
  background: rgba(0, 0, 255, 0.1);
  color: var(--accent-color);
}

/* MOBILE LAYOUT */

@media (max-width: 768px){
  h1{
    font-size: 44px;
  }

   .nav {
    right: 16px;
    gap: 8px;
  }

  .nav a {
    padding: 10px 16px;
    font-size: 14px;
  }

  .shape3{
    left: 0;
    top: 0;
  }
}